#
# spec file for package obby
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obby
Version:        0.4.8
Release:        11.32
Summary:        Synced document buffers
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            http://gobby.0x539.de/
Source:         http://releases.0x539.de/obby/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel
BuildRequires:  libavahi-devel
BuildRequires:  net6-devel
BuildRequires:  pkg-config
Requires:       %{name}-lang = %{version}
Requires:       libobby-0_4-1 = %{version}

%description
obby is a library which provides synced document buffers. It supports
multiple documents in one session and is portable to both Windows and
Unix-like platforms.



Authors:
--------
    Armin Burgmeier <armin@0x539.de>
    Philipp Kern <phil@0x539.de>

%package -n libobby-0_4-1
Summary:        Synced document buffers
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description -n libobby-0_4-1
obby is a library which provides synced document buffers. It supports
multiple documents in one session and is portable to both Windows and
Unix-like platforms.



Authors:
--------
    Armin Burgmeier <armin@0x539.de>
    Philipp Kern <phil@0x539.de>

%package devel
Summary:        Synced document buffers
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version} net6-devel libavahi-devel libsigc++2-devel

%description devel
obby is a library which provides synced document buffers. It supports
multiple documents in one session and is portable to both Windows and
Unix-like platforms.



Authors:
--------
    Armin Burgmeier <armin@0x539.de>
    Philipp Kern <phil@0x539.de>

%lang_package
%prep
%setup -q

%build
%configure \
	--enable-ipv6 \
	--with-zeroconf \
	--with-pic \
	--disable-static
make %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name}
#warning found pointless la file
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/libobby.la
%fdupes %buildroot/%_prefix

%post -n libobby-0_4-1 -p /sbin/ldconfig

%postun -n libobby-0_4-1 -p /sbin/ldconfig

%files 
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README

%files -n libobby-0_4-1
%defattr(-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr (-, root, root)
%{_includedir}/obby
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files lang -f %{name}.lang

%changelog
* Sun Oct 12 2014 jengelh@inai.de
- Do parallel build with %%_smp_mflags.
  Remove ancient specfile tags and sections.
* Mon Nov  7 2011 dimstar@opensuse.org
- Update to version 0.4.8:
  + Swap global password and user color checks during
    authentication
  + Updated translations.
* Fri Jan  2 2009 msuman@suse.de
- Update to version 0.4.7:
  + Bugfix: Fix display of non-ASCII characters in obby web
  + Updated translations
- Dropped obby-avahi.patch - fixed upstream
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.4.6:
  + Enable link-local IPv6 discovery through Avahi
  + Bugfix: Do not throw exceptions in C callbacks
  + Updated translations.
* Mon Jun 30 2008 schwab@suse.de
- Use autoreconf.
* Fri May 16 2008 crrodriguez@suse.de
- disable not really usable static libraries
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.4.5:
  + ABI breaks from 0.4.4
  + Updated translations
- Split out a shared library subpackage.
* Wed Oct 24 2007 sbrabec@suse.cz
- Do not call (too old) autoconf in older SuSE versions.
* Thu Oct 11 2007 sbrabec@suse.cz
- Use binding specific avahi package.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Aug  3 2007 maw@suse.de
- Update to version 0.4.4:
  + Native avahi zeroconf implementation
  + Misc fixes.
* Tue Jan 30 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
- Enabled IPv6 and Zeroconf support.
* Tue Sep 26 2006 wstephenson@suse.de
- Update to version 0.4.1
  * Support encrypted communications
  * Improve text handling
  * Command subsystem eg /command
  * Reduced memory footprint
  * Spanish, Catalan, Dutch (partial) translations
* Tue Sep  5 2006 meissner@suse.de
- fixed 1 implicit return. Build with CXXFLAGS.
* Sat Feb 25 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 lmichnovic@suse.cz
- Update to version 0.3.0 [#144674]
* Wed Jan 18 2006 lmichnovic@suse.cz
- Updated to version 0.3.0rc3
* Sat Jan 14 2006 kukuk@suse.de
- Add gmp-devel to nfb
* Fri Nov  4 2005 gekker@suse.de
- Initial import into autobuild, version 0.2.1
